Last Comment Bug 687428 - RSS feeds fetching new messages when application is offline (e.g. at startup)
: RSS feeds fetching new messages when application is offline (e.g. at startup)
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Feed Reader (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: Thunderbird 24.0
Assigned To: alta88
:
:
Mentors:
Depends on: 254132
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 03:25 PDT by Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout)
Modified: 2013-06-25 05:19 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) 2011-09-19 03:25:14 PDT
RSS feeds are fetching new messages when the application is offline.

Example:
1. Create a blog & feeds account.
2. Subscribe to a feed.
3. Configure the account to check on application startup and every X minutes.
4. Exit and launch Thunderbird in a way that keeps it offline, either by using the -offline command line switch or the settings in menu Tools > Options > Advanced > Network & Disk space > Offline > Offline.

Actual result: The status bar shows Thunderbird is trying to fetch the feeds.
Comment 1 Ludovic Hirlimann [:Usul] 2011-10-07 09:01:36 PDT
Aryx is this a regression ?
Comment 2 Ryan VanderMeulen [:RyanVM] 2013-06-18 08:27:16 PDT
Fixed by bug 254132.
https://hg.mozilla.org/comm-central/rev/88b7851495c4

Note You need to log in before you can comment on or make changes to this bug.